export const SYSTEM_ID = "fvtt-te-deum";

export const LOCALISATION = {
  "pieddroit":{ label: "Pied Droit", value: 1, id :"pieddroit", nbArmure: 1 },
  "jambedroite": { label: "Jambe Droite", value: 1, id :"jambedroite", nbArmure: 1 },
  "jambegauche": { label: "Jambe Gauche", value: 1, id :"jambegauche", nbArmure: 1 },
  "piedgauche":{ label: "Pied Gauche", value: 1, id :"piedgauche", nbArmure: 1 },
  "piedgauche":{ label: "Pied Gauche", value: 1, id :"piedgauche", nbArmure: 1 },
  "maindroite":{ label: "Main Droite", value: 1, id :"maindroite", nbArmure: 1 },
  "maingauche":{ label: "Main Gauche", value: 1, id :"maingauche", nbArmure: 1 },
  "brasdroit":{ label: "Bras Droit", value: 1, id :"brasdroit", nbArmure: 2 },
  "brasgauche":{ label: "Bras Gauche", value: 1, id :"brasgauche", nbArmure: 2 },
  "corps":{ label: "Corps", value: 1, id :"corps", nbArmure: 2 },
  "tete":{ label: "Tête", value: 1, id :"tete", nbArmure: 2 },
}

export const TEDEUM_CONFIG = {
  descriptionValeur: { 
    1: { qualite: "Mauvais", dice: "d4", negativeDice: "d20", savoir: "Sot", sensibilite: "Obtus", entregent: "Rustaud", puissance: "Menu", complexion: "Anémique", adresse: "Empesé" },
    2: { qualite: "Médiocre", dice: "d6", negativeDice: "d12", savoir: "Limité", sensibilite: "Etriqué", entregent: "Frustre", puissance: "Délicat", complexion: "Languide", adresse: "Gauche" },
    3: { qualite: "Correct", dice: "d8", negativeDice: "d10", savoir: "Mêlé", sensibilite: "Ouvert", entregent: "Badin", puissance: "Membru", complexion: "Dispos", adresse: "Ingambe" },
    4: { qualite: "Bon", dice: "d10", negativeDice: "d8", savoir: "Lettré", sensibilite: "Fin", entregent: "Disert", puissance: "Vigoureux", complexion: "Gaillard", adresse: "Leste" },
    5: { qualite: "Bon", dice: "d10", negativeDice: "d8", savoir: "Lettré", sensibilite: "Fin", entregent: "Disert", puissance: "Vigoureux", complexion: "Gaillard", adresse: "Leste" },
    6: { qualite: "Bon", dice: "d10", negativeDice: "d8", savoir: "Lettré", sensibilite: "Fin", entregent: "Disert", puissance: "Vigoureux", complexion: "Gaillard", adresse: "Leste" },
    7: { qualite: "Excellent", dice: "d12", negativeDice: "d6", savoir: "Docte", sensibilite: "Subtil", entregent: "Galant", puissance: "Musculeux", complexion: "Sanguin", adresse: "Preste" },
    8: { qualite: "Excellent", dice: "d12", negativeDice: "d6", savoir: "Docte", sensibilite: "Subtil", entregent: "Galant", puissance: "Musculeux", complexion: "Sanguin", adresse: "Preste" },
    9: { qualite: "Excellent", dice: "d12", negativeDice: "d6", savoir: "Docte", sensibilite: "Subtil", entregent: "Galant", puissance: "Musculeux", complexion: "Sanguin", adresse: "Preste" },
    10: { qualite: "Excellent", dice: "d12", negativeDice: "d6", savoir: "Docte", sensibilite: "Subtil", entregent: "Galant", puissance: "Musculeux", complexion: "Sanguin", adresse: "Preste" },
    11: { qualite: "Excellent", dice: "d12", negativeDice: "d6", savoir: "Docte", sensibilite: "Subtil", entregent: "Galant", puissance: "Musculeux", complexion: "Sanguin", adresse: "Preste" },
    12: { qualite: "Admirabme", dice: "d20", negativeDice: "d4", savoir: "Humaniste", sensibilite: "Spirituel", entregent: "Sémillant", puissance: "Hercule", complexion: "Aguerri", adresse: "Alerte" },
  },
  caracteristiques: {
    savoir: { id: "savoir", value: 1, label: "Savoir" },
    sensibilite: { id: "sensibilite", value: 1, label: "Sensibilité" },
    entregent: { id: "entregent", value: 1, label: "Entregent" },
    complexion: { id: "complexion", value: 1, label: "Complexion" },
    puissance: { id:"puissance", value: 1, label: "Puissance" },
    adresse: { id: "adresse", value: 1, label: "Adresse" },
  },
  localisation: {
    1: LOCALISATION.pieddroit,
    2: LOCALISATION.piedgauche,
    3: LOCALISATION.jambedroite,
    4: LOCALISATION.jambedroite,
    5: LOCALISATION.jambegauche,
    6: LOCALISATION.jambegauche,
    7: LOCALISATION.maindroite,
    8: LOCALISATION.maingauche,
    9: LOCALISATION.brasdroit,
    10: LOCALISATION.brasdroit,
    11: LOCALISATION.brasgauche,
    12: LOCALISATION.brasgauche,
    13: LOCALISATION.corps,
    14: LOCALISATION.corps,
    15: LOCALISATION.corps,
    16: LOCALISATION.corps,
    17: LOCALISATION.corps,
    18: LOCALISATION.tete,
    19: LOCALISATION.tete,
    20: LOCALISATION.tete
  },
  difficulte: {
    routine: {label: "Routine", value: 3},
    facile: {label: "Facile", value: 5},
    pardefaut: {label: "Par Défaut", value: 7},
    malaise: {label: "Malaisé", value: 9},
    difficile: {label: "difficile", value:11},
    perilleux: {label: "Perilleux", value:13},
    desespere: {label: "Désespéré", value:15}
  }
}